/** Shopify CDN: Minification failed

Line 46:0 Unexpected "{"
Line 46:1 Expected identifier but found "%"
Line 59:0 Unexpected "{"
Line 59:1 Expected identifier but found "%"

**/
body {
  margin: 0;
  padding: 0;
  /*background: --var(custom-color-white);*/
  /*background:red;*/
}

.truncate-2-lines {
  display: -webkit-box;
  -webkit-line-clamp: 2; 
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.show-only-on-mobile {
  display: none;
}

.sticky-mobile {
  display: none;
}

.header-hl-span-line-word--kos-sls {
  display: inline;
  padding: 0 .15em;
  background: #1E232A;
}

.container--kos-sls {
  position: relative;
  display: flex;
  flex-direction: column;
  margin: 0 auto;
  /*background: red;*/
}

{% comment %}
.container--kos-sls::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  /*height: 512px;*/
  height: var(--kos-sls-header-dynamic-height, 512px);
  background: url('/cdn/shop/files/KOS-Header-BG.png?v=1744724728') no-repeat top center;
  background-size: cover;
  z-index: -1;
}
{% endcomment %}

.container--kos-sls::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: var(--kos-sls-header-dynamic-height, 0px);
  background-repeat: no-repeat;
  background-size: cover;
  background-image: none; /* ⛔ kein Bild initial */
  opacity: 0; /* Optional: kein Übergangsblitz */
  z-index: -1;
}

.container--kos-sls.kos-sls--ready.is-type-kos::before {
  background-image: url('/cdn/shop/files/KOS-Header-BG.png?v=1744724728');
  opacity: 1;
}

.container--kos-sls.kos-sls--ready.is-type-sls::before {
  background-image: url('/cdn/shop/files/SLS-Header-BG.png?v=1744724728');
  opacity: 1;
}

.content-container--kos-sls {
  /*background: white;*/
}

.content-wrapper--kos-sls {
  display: flex;
  gap: 24px;
  max-width: 1440px;
  padding: 96px 172px 48px 172px;
  margin: 0 auto;
  /*background: pink;*/
}

.content--kos-sls {
  display: flex;
  flex-grow: 1;
  flex-direction: column;
  gap: 96px;
  max-width: 648px;
  /*background: blue;*/
}

.header-content--ravi-kos-sls {
  display: flex;
  flex-direction: column;
  gap: 32px;
  /*background: turquoise;*/
}

.header-info-container--kos-sls {
  display: flex;
  flex-direction: column;
  gap: 24px;
  /*background: orange;*/
}

.header-badges-container--kos-sls {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 16px;
}

.Dynamic-Badge-Bestseller--kos-sls {
  display: flex;
  flex-direction: row;
  gap: 6px;
  padding: 2px 10px 2px 6px;
  justify-content: center;
  align-items: center;
  border-radius: 999px;
  background: #1E232A;
  color: #F9FAFB;
}

.header-hl-sl-container--kos-sls {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.header-hl-span-line--kos-sls {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: flex-start;
  /*
  padding: 2px 6px;
  width: fit-content;
  */
  row-gap: 8px;
  /*background: var(--custom-color-bg-default, white);*/
}

.header-expert-container--kos-sls {
  display: flex;
  flex-direction: row;
  gap: 12px;
  align-items: center;
}

.header-expert-text-container--kos-sls {
  display: flex;
  flex-direction: column;
  gap: 0px;
}

.sponsored-by-container--kos-sls {
  display: flex;
  flex-direction: row;
  gap: 8px;
  align-items: center;
}

.skills-container--kos-sls {
  display: flex;
  flex-direction: column;
  gap: 24px;
  width: 100%;
  /*background: #F4F2FF;*/
  /*border: 1px solid #D4D6D9;*/
  background: var(--custom-color-bg-grey-subtlest, red);
  border: 1px solid var(--custom-color-border-default);
  border-radius: 12px;
  padding: 24px 24px;
}

.skills-learnings-fragen-container--kos-sls {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.skills-container--kos-sls ul {
  list-style: disc inside;
  padding-left: 1.375em;
}

.skills-container--kos-sls li {
  text-indent: -1.375em;
  /*padding-left: 1.375em;*/
}

.skills-learnings-container-mobile--kos-sls ul {
  list-style: disc inside;
  padding-left: 1.375em;
}

.skills-learnings-container-mobile--kos-sls li {
  text-indent: -1.375em;
  /*padding-left: 1.375em;*/
}

.how-to-teilnehmen-container--kos-sls {
  display: flex;
  flex-direction: column;
  gap: 24px;
  width: 100%;
  /*background: #F4F2FF;*/
  /*border: 1px solid #D4D6D9;*/
  background: var(--custom-color-bg-grey-subtlest, red);
  border: 1px solid var(--custom-color-border-default);
  border-radius: 12px;
  padding: 24px 24px;
}

.how-to-teilnehmen-hl-sl-container--kos-sls {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.how-to-teilnehmen-steps-container--kos-sls {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.how-to-teilnehmen-card--kos-sls {
  display: flex;
  flex-direction: column;
  gap: 8px;
  width: 100%;
  border: 1px solid #D4D6D9;
  background: #FDFDFD;
  border-radius: 8px;
  padding: 20px 20px;
}

.form-container--kos-sls {
  width: 424px;
  position: relative;
}

.sticky-form--kos-sls {
  display: flex;
  flex-direction: column;
  position: sticky;
  top: 96px;
  background: var(--custom-color-bg-default, white);
  padding: 24px 16px;
  border-radius: 12px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  border: 1px solid var(--custom-color-border-default, red);
  gap: 16px;
}

.sticky-form-headline-subline-container--kos-sls {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

/* Laptop Breakpoint */
@media (max-width: 1439px) and (min-width: 1024px) {
  .container--kos-sls::before {
    height: var(--kos-sls-header-dynamic-height, 512px);
  }

  .container--kos-sls.kos-sls--ready.is-type-kos::before {
    background-image: url('/cdn/shop/files/KOS-Header-BG-Laptop.png?v=1744730223');
  }
  
  .container--kos-sls.kos-sls--ready.is-type-sls::before {
    background-image: url('/cdn/shop/files/SLS-Header-BG-Laptop.png?v=1744730223');
  }
  
  .content-wrapper--kos-sls {
    max-width: 1439px;
    padding: 72px 32px 36px 32px;
  }

  .content--kos-sls {
    max-width: unset;
    gap: 72px;
  }

  .form-container--kos-sls {
    flex-shrink: 0;
  }
}

/* Tablet Breakpoint */
@media (max-width: 1023px) and (min-width: 768px) {
  .container--kos-sls::before {
    height: var(--kos-sls-header-dynamic-height, 512px);
  }

  .container--kos-sls.kos-sls--ready.is-type-kos::before {
    background-image: url('/cdn/shop/files/KOS-Header-BG-Tablet.png?v=1744730223');
  }
  
  .container--kos-sls.kos-sls--ready.is-type-sls::before {
    background-image: url('/cdn/shop/files/SLS-Header-BG-Tablet.png?v=1744730223');
  }
  
  .content-wrapper--kos-sls {
    max-width: 1023px;
    padding: 64px 24px 32px 24px;
  }

  .content--kos-sls {
    max-width: unset;
    gap: 64px;
  }

  .header-badges-container--kos-sls {
    gap: 8px;
  }

  .skills-container--kos-sls {
    padding: 20px 20px;
  }

  .how-to-teilnehmen-container--kos-sls {
    padding: 20px 20px;
  }

  .how-to-teilnehmen-card--kos-sls {
    padding: 16px 16px;
  }

  .form-container--kos-sls {
    width: 360px;
    flex-shrink: 0;
  }
}

/* Mobile Breakpoint */
@media (max-width: 767px) {
  body {
    padding: 0 0 72px 0;
  }
  
  .hide-on-mobile {
    display: none;
  }

  .show-only-on-mobile {
    display: flex;
    flex-direction: column;
    gap: 32px;
    padding: 32px 16px;
    /*background: yellow;*/
    background: #0E1014;
  }
  
  .content-wrapper--kos-sls {
    max-width: 767px;
    padding: 32px 16px;
    flex-direction: column-reverse;
  }

  .content--kos-sls {
    max-width: unset;
    gap: 32px;
  }

  .header-badges-container--kos-sls {
    gap: 8px;
  }

  .header-hl-span-line--kos-sls {
    justify-content: center;
  }

  .header-hl-span-line-word--kos-sls {
    background: white; 
  }

  .skills-container--kos-sls {
    padding: 16px 16px;
  }

  .how-to-teilnehmen-container--kos-sls {
    padding: 16px 16px;
  }

  .how-to-teilnehmen-card--kos-sls {
    padding: 12px 12px;
  }

  .form-container--kos-sls {
    flex-grow: 1;
    width: unset;
  }

  .sticky-mobile {
    display: flex;
    position: fixed;      
    bottom: 0;           
    left: 0;
    right: 0;
    width: 100%;
    padding: 16px;
    background: #FDFDFD;     
    box-shadow: 0 -2px 8px rgba(0,0,0,0.24);
    z-index: 1000;
    text-align: center;
    border-radius: 8px 8px 0px 0px;
  }
}